import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';

class SignupPersonalScreen extends StatelessWidget{
  const SignupPersonalScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      spacing: 24,
      children: [
        CustomTextField(label: "Nombre", hint: "Nombre"),
        CustomTextField(label: "Apellidos", hint: "Apellidos"),
        CustomTextField(label: "DNI", hint: "DNI"),
        Row(
          spacing: 8,
          children: [
            /*CustomDropdown(
              value: 0,
              items: [Icon(Icons.outlined_flag), Icon(Icons.outlined_flag), Icon(Icons.outlined_flag)],
              onChanged: (value)=> {},
              width: 80,
            ),*/
            Expanded(child: CustomTextField(
              label: "Teléfono móvil",
              hint: "123456789",
              numeric: true
            ))
          ]
        ),
        CustomTextField(label: "Correo electrónico", hint: "Correo electrónico"),
      ],
    );
  }

}